UpperTesterGnCodec Class Reference

`#include <UpperTesterGnCodec.hh>`

Inheritance diagram for UpperTesterGnCodec:

## Public Member Functions

| UpperTesterGnCodec ()
virtual | ~UpperTesterGnCodec ()
virtual int | encode (const Record_Type &, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | encode (const Base_Type &, OCTETSTRING &data)
virtual int | decode (const OCTETSTRING &data, Record_Type &, Params *params=NULL)
| Encode typed message into an octet string format. More...
virtual std::unique_ptr< Base_Type > | decode (const OCTETSTRING &data, Params *params=NULL)
Public Member Functions inherited from Codec< Record_Type, Record_Type >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions

int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | decode (const OCTETSTRING &data, LibItsGeoNetworking__TypesAndValues::UtGnResults &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsGeoNetworking__TypesAndValues::UtGnEventInd &msg, Params *params=NULL)

## Private Attributes

const unsigned char | c_utGnInitialize = 0x00
const unsigned char | c_utGnInitializeResult = 0x01
const unsigned char | c_utGnChangePosition = 0x02
const unsigned char | c_utGnChangePositionResult = 0x03
const unsigned char | c_utGnTriggerResult = 0x41
const unsigned char | c_utGnTrigger_GeoUnicast = 0x50
const unsigned char | c_utGnTrigger_GeoBroadcast = 0x51
const unsigned char | c_utGnTrigger_GeoAnycast = 0x52
const unsigned char | c_utGnTrigger_Shb = 0x53
const unsigned char | c_utGnTrigger_Tsb = 0x54

## Additional Inherited Members

Protected Attributes inherited from Codec< Record_Type, Record_Type >
Params * | _params

## Constructor & Destructor Documentation

## UpperTesterGnCodec()

UpperTesterGnCodec::UpperTesterGnCodec | ( |  | ) |

inline

## ~UpperTesterGnCodec()

virtual UpperTesterGnCodec::~UpperTesterGnCodec | ( |  | ) |

inlinevirtual

## Member Function Documentation

## decode() [1/4]

int UpperTesterGnCodec::decode | ( | const OCTETSTRING & | p_,
|  | Record_Type & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |

virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## decode() [2/4]

std::unique_ptr< Base_Type > UpperTesterGnCodec::decode | ( | const OCTETSTRING & | data,
|  | Params * | params = `NULL`
| ) |  |

virtual

## decode() [3/4]

int UpperTesterGnCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsGeoNetworking__TypesAndValues::UtGnResults & | msg,
|  | Params * | params = `NULL`
| ) |  |

private

## decode() [4/4]

int UpperTesterGnCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsGeoNetworking__TypesAndValues::UtGnEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |

private

## encode() [1/2]

int UpperTesterGnCodec::encode | ( | const Record_Type & | msg,
|  | OCTETSTRING & | data
| ) |  |

virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## encode() [2/2]

int UpperTesterGnCodec::encode | ( | const Base_Type & | msg,
|  | OCTETSTRING & | data
| ) |  |

virtual

## encode_()

int UpperTesterGnCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |

private

## Member Data Documentation

## c_utGnChangePosition

const unsigned char UpperTesterGnCodec::c_utGnChangePosition = 0x02

private

## c_utGnChangePositionResult

const unsigned char UpperTesterGnCodec::c_utGnChangePositionResult = 0x03

private

## c_utGnInitialize

const unsigned char UpperTesterGnCodec::c_utGnInitialize = 0x00

private

## c_utGnInitializeResult

const unsigned char UpperTesterGnCodec::c_utGnInitializeResult = 0x01

private

## c_utGnTrigger_GeoAnycast

const unsigned char UpperTesterGnCodec::c_utGnTrigger_GeoAnycast = 0x52

private

## c_utGnTrigger_GeoBroadcast

const unsigned char UpperTesterGnCodec::c_utGnTrigger_GeoBroadcast = 0x51

private

## c_utGnTrigger_GeoUnicast

const unsigned char UpperTesterGnCodec::c_utGnTrigger_GeoUnicast = 0x50

private

## c_utGnTrigger_Shb

const unsigned char UpperTesterGnCodec::c_utGnTrigger_Shb = 0x53

private

## c_utGnTrigger_Tsb

const unsigned char UpperTesterGnCodec::c_utGnTrigger_Tsb = 0x54

private

## c_utGnTriggerResult

const unsigned char UpperTesterGnCodec::c_utGnTriggerResult = 0x41

private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/UpperTesterGnCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/UpperTesterGnCodec.cc